﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public class NodeTemplateSelector : DataTemplateSelector
	{
		public DataTemplate CustomViewTemplate { get; set; }
		public DataTemplate CustomViewsTemplate { get; set; }
		public DataTemplate ClusterTemplate { get; set; }
		public DataTemplate DefaultTemplate { get; set; }

		/// <summary>
		/// When overridden in a derived class, returns a DataTemplate based on custom logic.
		/// </summary>
		/// <param name="item">The data object for which to select the template.</param>
		/// <param name="container">The data-bound object.</param>
		/// <returns></returns>
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			// Check the type of the item and depending on the type, select the proper template
			if (item is CustomView)
			{
				return this.CustomViewTemplate;
			}
			else if (item is CustomViews)
			{
				return this.CustomViewsTemplate;
			}
			else if (item is Cluster)
			{
				return this.ClusterTemplate;
			}
			else
			{
				return this.DefaultTemplate;
			}
		}
	}
}
